AsterNet Class Library (Sandcastle documentation)
AsterNet Class Library (Sandcastle documentation)
AsterNET.FastAGI
AGIReply Class
AGIReply Constructor
AGIReply Methods
AGIReply Properties

| AGIReply Class

Default implementation of the AGIReply interface.
Inheritance Hierarchy
System
Object
AsterNET.FastAGI
AGIReply

Namespace: AsterNET.FastAGI
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public class AGIReply

    Public Class AGIReply

    public ref class AGIReply

    type AGIReply =  class end

The AGIReply type exposes the following members.

Constructors

| Name | Description
--- | --- | ---
| AGIReply | Initializes a new instance of the AGIReply class
| AGIReply(List String ) | Initializes a new instance of the AGIReply class

Top
Methods

| Name | Description
--- | --- | ---
| Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
| Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
| GetAttribute | Returns an additional attribute contained in the reply. For example the reply to the StreamFileCommand contains an additional endpos attribute indicating the frame where the playback was stopped. This can be retrieved by calling getAttribute("endpos") on the corresponding reply.
| GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
| GetResult | Returns the result, that is the part directly following the "result=" string.
| GetStatus | Returns the status code. Supported status codes are: 200 Success 510 Invalid or unknown command 520 Invalid command syntax
| GetSynopsis | Returns the synopsis of the command sent if Asterisk expected a different syntax (getStatus() == SC_INVALID_COMMAND_SYNTAX).
| GetType | Gets the Type of the current instance. (Inherited from Object.)
| GetUsage | Returns the usage of the command sent if Asterisk expected a different syntax (getStatus() == SC_INVALID_COMMAND_SYNTAX).
| MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
| ToString | (Overrides Object ToString .)

Top
Properties

| Name | Description
--- | --- | ---
| Extra | Returns the text in parenthesis contained in this reply. The meaning of this property depends on the command sent. Sometimes it contains a flag like "timeout" or "hangup" or - in case of the GetVariableCommand - the value of the variable.
| FirstLine |
| Lines |
| ResultCode | Returns the return code (the result as int).
| ResultCodeAsChar | Returns the return code as character.

Top
See Also

#### Reference

AsterNET.FastAGI Namespace